Skip to main content
PUT
Accept Legal Document

Authorizations

X-API-KEY
string
header
required

API key required for authentication

Path Parameters

userLocator
string
required

A user locator can be of the format:

  • email:<email>
  • userId:<userId>
  • phoneNumber:<phoneNumber>
  • twitter:<handle>
  • x:<handle>
Examples:

"email:user@example.com"

"userId:507f1f77bcf86cd799439011"

"userId:did:example:cm4lr5piw0h6t1bjho0onryql"

"phoneNumber:+12125551234"

"twitter:johndoe"

"x:@johndoe"

Body

application/json
acceptedAt
string<date-time>
required

ISO 8601 in UTC. Fractional seconds are optional.

Example:

"2024-01-15T10:30:00.000Z"

type
enum<string>
required

The legal document the user is accepting.

Available options:
crossmint-privacy-policy,
crossmint-terms-of-service
region
enum<string>

Region the user is operating in. Required when type is crossmint-terms-of-service and determines which regional Terms of Service document is accepted. Ignored for crossmint-privacy-policy.

Available options:
eu,
us,
worldwide

Response

200 - application/json

Legal document acceptance recorded

acceptedAt
string<date-time>
required

ISO 8601 in UTC. Fractional seconds are optional.

Example:

"2024-01-15T10:30:00.000Z"